> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/tokenization/es/register-cards-via-batch-file/descripcion-general-de-la-transferencia-de-archivos.md).

# Descripción general de la transferencia de archivos

A file transfer service is offered to customers to share files with Thales backend applications.

Only SFTP protocol (with username/password) is offered as of today.

### User Management

Users willing to access to FTP service shall be enrolled through Thales Onboarding Portal (TOP) and granted with FTP access role.

To do so, customer shall send a request to [bp.allynissupport@thalesgroup.com](https://thales-dis-dbp.stoplight.io/docs/tsh-infra/bp.allynissupport@thalesgroup.com).

The first time a "ftp application" role is assigned to a user, this user will receive an email with temporary username/password only valid for 24h.

User must then set his password using following link: <https://portal.dbp.thalescloud.io/auth/index.html?idp=mfaLess&kc=false#/signin>

Password minimal length is 48 characters and it must includes uppercase, lowercase letters, special characters and numbers.

### FTP Folder layout <a href="#ftp-folder-layout" id="ftp-folder-layout"></a>

Two folders will be available for user's organization.

* **\<customer\_id>/in**: used by customer for sharing the input files
* **\<customer\_id>/out**: used by Thales solutions for sharing the output files/reports

E-Mail templates shall be stored in the following directory:

* **\<customer\_id>/in/configuration/emailTemplates**

The \<customer\_id> is replaced by the customer's organization id for the user.

Note that the ftp user's home directory is \<customer\_id>.

Users are not allowed to access parent directory.

### File Format <a href="#file-format" id="file-format"></a>

Two different file types shall be exchanged through FTP service:

* **Batch Processing Files**
* **E-Mail Templates**

The format of the Batch processing files are defined in the relevant solution specifications (e.g. Apple Pay).

Please contact the integrator/project manager assigned to your project in case you don't have these specifications.

E-Mail templates are in **HTML** format and shall be **UTF-8** encoded.

### FTP Endpoint

| Environment | Hostname                   | IPs                                                    |
| ----------- | -------------------------- | ------------------------------------------------------ |
| Staging     | ftp.dbp-stg.thalescloud.io | <p>52.44.66.156<br>44.199.38.220<br>44.198.35.31</p>   |
| Production  | ftp.dbp.thalescloud.io     | <p>54.159.252.131<br>54.225.221.171<br>3.81.155.41</p> |

### Connectivity testing

You can test the connectivity with lftp.

Hereafter is a test a file upload with sftp command on Linux through a proxy server, here uploading a file name /tmp/dummy and deleting it afterwards:

```vim
echo "hello world">/tmp/dummy && lftp -d sftp://ftp.dbp-stg.thalescloud.io -u '<ftp_user>,<ftp_password>' -e "set sftp:connect-program 'ssh -ax -o ProxyCommand=\"/usr/bin/nc -X connect -x <proxy_name>:<proxy_port> %h %p\"'; cd in; put /tmp/dummy; rm dummy; bye"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/tokenization/es/register-cards-via-batch-file/descripcion-general-de-la-transferencia-de-archivos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
